<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\KursVorschlag\KursVorschlag;

class KursVorschlagZwischenspeichernAbsendenUseCase extends KursVorschlagAbsendenUseCase
{
  public function hasAccess($pToolSectionId = null)
  {
    if (!parent::hasAccess()) {
      return false;
    } elseif (!\DBWorkBASysSettings::isSalzburgBildungswerk()) {
      return false;
    }

    return true;
  }

  public function isKursplanungVollstaendigUebermittelt(): bool
  {
    return false;
  }

  protected function getStatusCodeSuccess()
  {
    return self::SUCCESS_KURSPLANUNG_ZWISCHENGESPEICHERT;
  }

  protected function checkPflichtfelder()
  {
    return false;
  }

  public function getInBearbeitung(): bool
  {
    return true;
  }
}